A(1,:,:) = load('ADA/ADA_LL.DAT');
A(2,:,:) = load('ADA/ADA_LH.DAT');
A(3,:,:) = load('ADA/ADA_HH.DAT');
A(4,:,:) = load('ADA/ADA_HL.DAT');
A(5,:,:) = load('ADA/ADA_CC.DAT');

A(6,:,:) = load('ADE/ADE_LL.DAT');
A(7,:,:) = load('ADE/ADE_LH.DAT');
A(8,:,:) = load('ADE/ADE_HH.DAT');
A(9,:,:) = load('ADE/ADE_HL.DAT');
A(10,:,:) = load('ADE/ADE_CC.DAT');

A(11,:,:) = load('ALO/ALO_LL.DAT');
A(12,:,:) = load('ALO/ALO_LH.DAT');
A(13,:,:) = load('ALO/ALO_HH.DAT');
A(14,:,:) = load('ALO/ALO_HL.DAT');
A(15,:,:) = load('ALO/ALO_CC.DAT');

A(16,:,:) = load('POA/POA_LL.DAT');
A(17,:,:) = load('POA/POA_LH.DAT');
A(18,:,:) = load('POA/POA_HH.DAT');
A(19,:,:) = load('POA/POA_HL.DAT');

A(20,:,:) = load('POE/POE_LL.DAT');
A(21,:,:) = load('POE/POE_LH.DAT');
A(22,:,:) = load('POE/POE_HH.DAT');
A(23,:,:) = load('POE/POE_HL.DAT');

A(24,:,:) = load('NOA/NOA_LL.DAT');
A(25,:,:) = load('NOA/NOA_LH.DAT');
A(26,:,:) = load('NOA/NOA_HH.DAT');
A(27,:,:) = load('NOA/NOA_HL.DAT');

A(28,:,:) = load('NOE/NOE_LL.DAT');
A(29,:,:) = load('NOE/NOE_LH.DAT');
A(30,:,:) = load('NOE/NOE_HH.DAT');
A(31,:,:) = load('NOE/NOE_HL.DAT');

for i=1:28
    for j=1:5
        A1(j,i,1)=A(j,i,1);
        A1(j,i,2)=A(j,i,2);
        A2(j,i,1)=A(j,i,1);
        A2(j,i,2)=A(j,i,2);
        if (j==5)
            A1(j,i,1)=A1(j,i,1)+.211;
            A2(j,i,1)=A2(j,i,1)+.211;
        end
        for l=1:2
            A2(j,i,2)=A2(j,i,2)+A(j+l*5,i,2);
            A1(j+l*5,i,1)=A(j+l*5,i,1);
            A1(j+l*5,i,2)=A(j+l*5,i,2);
            if (j==5)
                A1(j+l*5,i,1)=A1(j+l*5,i,1)+.211;
            end
        end
    end
    for j=1:4
        A1(15+j,i,1)=A(15+j,i,1);
        A1(15+j,i,2)=A(15+j,i,2);
        for l=0:3
            A2(j,i,2)=A2(j,i,2)+A(15+j+l*4,i,2);
            A1(15+j+l*4,i,1)=A(15+j+l*4,i,1);
            A1(15+j+l*4,i,2)=A(15+j+l*4,i,2);
        end
    end
end

for i=1:28
    for j=1:5
        t(j,i)=1./A2(j,i,2);
    end
end

tit='KPBAND, 77K';
xlab='E/eV';
ylab='P_n_n_´/s^-^1';

for l=0:2
    figure; hold on
    plot(A1(1+l*5,:,1),A1(1+l*5,:,2),'-b',A1(2+l*5,:,1),A1(2+l*5,:,2),'--b', A1(3+l*5,:,1),A1(3+l*5,:,2),'-k',A1(4+l*5,:,1),A1(4+l*5,:,2),'--k', -A1(5+l*5,:,1),A1(5+l*5,:,2),'-r');
    title(tit,'FontSize',25);
    xlabel(xlab,'FontSize',25);
    ylabel(ylab,'FontSize',25);
    set(gca,'FontSize',18);
    legend('LH to LH','LH to HH','HH to HH','HH to LH','CB to CB');
end

for l=0:3
    figure; hold on
    plot(A1(16+l*4,:,1),A1(16+l*4,:,2),'-b',A1(17+l*4,:,1),A1(17+l*4,:,2),'--b', A1(18+l*4,:,1),A1(18+l*4,:,2),'-k',A1(19+l*4,:,1),A1(19+l*4,:,2),'--k');
    title(tit,'FontSize',25);
    xlabel(xlab,'FontSize',25);
    ylabel(ylab,'FontSize',25);
    set(gca,'FontSize',18);
    legend('LH to LH','LH to HH','HH to HH','HH to LH');
end
    
figure; hold on
plot(A2(1,:,1),A2(1,:,2),'-b',A2(2,:,1),A2(2,:,2),'--b', A2(3,:,1),A2(3,:,2),'-k',A2(4,:,1),A2(4,:,2),'--k', -A2(5,:,1),A2(5,:,2),'-r');
title(tit,'FontSize',25);
xlabel(xlab,'FontSize',25);
ylabel(ylab,'FontSize',25);
set(gca,'FontSize',18);
legend('LH to LH','LH to HH','HH to HH','HH to LH','CB to CB');

figure; hold on
plot(A2(1,:,1),t(1,:),'-b',A2(2,:,1),t(2,:),'--b', A2(3,:,1),t(3,:),'-k',A2(4,:,1),t(4,:),'--k', -A2(5,:,1),t(5,:),'-r');
title(tit,'FontSize',25);
xlabel(xlab,'FontSize',25);
ylabel('\tau /s','FontSize',25);
set(gca,'FontSize',18);
legend('LH to LH','LH to HH','HH to HH','HH to LH','CB to CB');

clear;
