A(1,:,:) = load('ABINITplot/ABI77K/SOENE100.dat');
A(2,:,:) = load('ABINITplot/ABI77K/SOENE110.dat');
A(3,:,:) = load('ABINITplot/ABI77K/SOENE111.dat');

A(4,:,:) = load('ABINITplot/ABI77K/LHENE100.dat');
A(5,:,:) = load('ABINITplot/ABI77K/LHENE110.dat');
A(6,:,:) = load('ABINITplot/ABI77K/LHENE111.dat');

A(7,:,:) = load('ABINITplot/ABI77K/HHENE100.dat');
A(8,:,:) = load('ABINITplot/ABI77K/HHENE110.dat');
A(9,:,:) = load('ABINITplot/ABI77K/HHENE111.dat');

A(10,:,:) = load('ABINITplot/ABI77K/CBENE100.dat');
A(11,:,:) = load('ABINITplot/ABI77K/CBENE110.dat');
A(12,:,:) = load('ABINITplot/ABI77K/CBENE111.dat');

B(1,:,:) = load('ABINITplot/ABI300K/SOENE100.dat');
B(2,:,:) = load('ABINITplot/ABI300K/SOENE110.dat');
B(3,:,:) = load('ABINITplot/ABI300K/SOENE111.dat');

B(4,:,:) = load('ABINITplot/ABI300K/LHENE100.dat');
B(5,:,:) = load('ABINITplot/ABI300K/LHENE110.dat');
B(6,:,:) = load('ABINITplot/ABI300K/LHENE111.dat');

B(7,:,:) = load('ABINITplot/ABI300K/HHENE100.dat');
B(8,:,:) = load('ABINITplot/ABI300K/HHENE110.dat');
B(9,:,:) = load('ABINITplot/ABI300K/HHENE111.dat');

B(10,:,:) = load('ABINITplot/ABI300K/CBENE100.dat');
B(11,:,:) = load('ABINITplot/ABI300K/CBENE110.dat');
B(12,:,:) = load('ABINITplot/ABI300K/CBENE111.dat');

C(1,:,:) = load('KPBANDplot/KPB77K/SOENE100.dat');
C(2,:,:) = load('KPBANDplot/KPB77K/SOENE110.dat');
C(3,:,:) = load('KPBANDplot/KPB77K/SOENE111.dat');

C(4,:,:) = load('KPBANDplot/KPB77K/LHENE100.dat');
C(5,:,:) = load('KPBANDplot/KPB77K/LHENE110.dat');
C(6,:,:) = load('KPBANDplot/KPB77K/LHENE111.dat');

C(7,:,:) = load('KPBANDplot/KPB77K/HHENE100.dat');
C(8,:,:) = load('KPBANDplot/KPB77K/HHENE110.dat');
C(9,:,:) = load('KPBANDplot/KPB77K/HHENE111.dat');

C(10,:,:) = load('KPBANDplot/KPB77K/CBENE100.dat');
C(11,:,:) = load('KPBANDplot/KPB77K/CBENE110.dat');
C(12,:,:) = load('KPBANDplot/KPB77K/CBENE111.dat');

D(1,:,:) = load('KPBANDplot/KPB300K/SOENE100.dat');
D(2,:,:) = load('KPBANDplot/KPB300K/SOENE110.dat');
D(3,:,:) = load('KPBANDplot/KPB300K/SOENE111.dat');

D(4,:,:) = load('KPBANDplot/KPB300K/LHENE100.dat');
D(5,:,:) = load('KPBANDplot/KPB300K/LHENE110.dat');
D(6,:,:) = load('KPBANDplot/KPB300K/LHENE111.dat');

D(7,:,:) = load('KPBANDplot/KPB300K/HHENE100.dat');
D(8,:,:) = load('KPBANDplot/KPB300K/HHENE110.dat');
D(9,:,:) = load('KPBANDplot/KPB300K/HHENE111.dat');

D(10,:,:) = load('KPBANDplot/KPB300K/CBENE100.dat');
D(11,:,:) = load('KPBANDplot/KPB300K/CBENE110.dat');
D(12,:,:) = load('KPBANDplot/KPB300K/CBENE111.dat');

xlab='k/m^-^1';
ylab='E/eV';

n=length(A(1,:,1))/2;

x1(1)=-.8386e+10; % L-point
x1(2)=-.8386e+10;
x2(1)=.0e+10;     % G-point
x2(2)=.0e+10;
x3(1)=.9687e+10;  % X-point
x3(2)=.9687e+10;
x4(1)=1.3112e+10; % K-point
x4(2)=1.3112e+10;
x5(1)=2.3386e+10; % G-point
x5(2)=2.3386e+10;
y=[-20:40:20];

for i=1:n
    ka(i)=A(3,i,1);
    ka(i+n)=A(1,i+n,1);
    ka(i+2*n)=A(1,2*n,1)+A(2,2*n,1)+A(2,i,1);
    kb(i)=B(3,i,1);
    kb(i+n)=B(1,i+n,1);
    kb(i+2*n)=B(1,2*n,1)+B(2,2*n,1)+B(2,i,1);
    kc(i)=C(3,i,1);
    kc(i+n)=C(1,i+n,1);
    kc(i+2*n)=C(1,2*n,1)+C(2,2*n,1)+C(2,i,1);
    kd(i)=D(3,i,1);
    kd(i+n)=D(1,i+n,1);
    kd(i+2*n)=D(1,2*n,1)+D(2,2*n,1)+D(2,i,1);
    for j=1:4
        Ea(j,i)=-A(3*j,i,2);
        Ea(j,i+n)=-A(3*j-2,i+n,2);
        Ea(j,i+2*n)=-A(3*j-1,i,2);
        Eb(j,i)=-B(3*j,i,2);
        Eb(j,i+n)=-B(3*j-2,i+n,2);
        Eb(j,i+2*n)=-B(3*j-1,i,2);
        Ec(j,i)=-C(3*j,i,2);
        Ec(j,i+n)=-C(3*j-2,i+n,2);
        Ec(j,i+2*n)=-C(3*j-1,i,2);
        Ed(j,i)=-D(3*j,i,2);
        Ed(j,i+n)=-D(3*j-2,i+n,2);
        Ed(j,i+2*n)=-D(3*j-1,i,2);
    end
end

figure; hold on
plot(ka,Ea(1,:),'-b',ka,Ea(2,:),'-b',ka,Ea(3,:),'-b',ka,Ea(4,:),'-b', kc,Ec(1,:),'-r',kc,Ec(2,:),'-r',kc,Ec(3,:),'-r',kc,Ec(4,:),'-r', x1,y,'-k',x2,y,'-k',x3,y,'-k',x4,y,'-k',x5,y,'-k');
title('77K: ABINIT(blue) vs KPBNAD(red)','FontSize',25);
ylabel(ylab,'FontSize',25);
set(gca,'FontSize',18);

figure; hold on
plot(kb,Eb(1,:),'-b',kb,Eb(2,:),'-b',kb,Eb(3,:),'-b',kb,Eb(4,:),'-b', kd,Ed(1,:),'-r',kd,Ed(2,:),'-r',kd,Ed(3,:),'-r',kd,Ed(4,:),'-r', x1,y,'-k',x2,y,'-k',x3,y,'-k',x4,y,'-k',x5,y,'-k');
title('300K: ABINIT(blue) vs KPBNAD(red)','FontSize',25);
ylabel(ylab,'FontSize',25);
set(gca,'FontSize',18);


clear;
