ylab='E/eV';

x1(1)=-0.5;
x1(2)=-0.5;
x2(1)=0.;
x2(2)=0.;
x3(1)=sqrt(2.)*0.5;
x3(2)=sqrt(2.)*0.5;
x4(1)=.9186;
x4(2)=.9186;
x5(1)=sqrt(3.);
x5(2)=sqrt(3.);
y(1)=-100;
y(2)=100;


for j=1:1
    A = fopen('MCT_rawo_DS2_EIG');
    B = textscan(A,'%s%d%s%s%d%s%s%f%s%s%f%f%f%s%s\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f\n%f%f%f%f%f%f%f%f');
    fclose(A);
    
    kx=B{11};
    ky=B{12};
    kz=B{13};
    
    n=length(kx);
    bo=1;
    
    for i=1:n
        k(i)=sqrt(kx(i)*kx(i)+ky(i)*ky(i)+kz(i)*kz(i));
        if bo==1
            if k(i)>0.01;
                k(i)=-k(i);
            else
                bo=0;
            end
        end
    end
    
    for i=1:64
        E(i,:)=B{15+i};
    end
    
    figure; hold on
    plot(x1,y,'-k', x2,y,'-k',x3,y,'-k', x4,y,'-k', x5,y,'-k', k,E(1,:),'-b', k,E(2,:),'-g', k,E(3,:),'-r', k,E(4,:),'-c', k,E(5,:),'-m', k,E(6,:),'-y', k,E(7,:),'-k', k,E(8,:),'-b', k,E(9,:),'-g', k,E(10,:),'-r', k,E(11,:),'-c', k,E(12,:),'-m', k,E(13,:),'-y', k,E(14,:),'-k', k,E(15,:),'-b', k,E(16,:),'-g', k,E(17,:),'-r', k,E(18,:),'-c', k,E(19,:),'-m', k,E(20,:),'-y', k,E(21,:),'-k', k,E(22,:),'-b', k,E(23,:),'-g', k,E(24,:),'-r', k,E(25,:),'-c', k,E(26,:),'-m', k,E(27,:),'-y', k,E(28,:),'-k', k,E(29,:),'-b', k,E(30,:),'-g', k,E(31,:),'-r', k,E(32,:),'-c', k,E(1+32,:),'-b', k,E(2+32,:),'-g', k,E(3+32,:),'-r', k,E(4+32,:),'-c', k,E(5+32,:),'-m', k,E(6+32,:),'-y', k,E(7+32,:),'-k', k,E(8+32,:),'-b', k,E(9+32,:),'-g', k,E(10+32,:),'-r', k,E(11+32,:),'-c', k,E(12+32,:),'-m', k,E(13+32,:),'-y', k,E(14+32,:),'-k', k,E(15+32,:),'-b', k,E(16+32,:),'-g', k,E(17+32,:),'-r', k,E(18+32,:),'-c', k,E(19+32,:),'-m', k,E(20+32,:),'-y', k,E(21+32,:),'-k', k,E(22+32,:),'-b', k,E(23+32,:),'-g', k,E(24+32,:),'-r', k,E(25+32,:),'-c', k,E(26+32,:),'-m', k,E(27+32,:),'-y', k,E(28+32,:),'-k', k,E(29+32,:),'-b', k,E(30+32,:),'-g', k,E(31+32,:),'-r', k,E(32+32,:),'-c');
    ylabel(ylab,'FontSize',25);
    title('Band structure using raw data from ABINIT','FontSize',25);
    set(gca,'FontSize',18);
    clear A;
    clear B;
end

clear;
